Debian Bug report logs - #468194
ocsinventory-server: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: ocsinventory-server; Maintainer for ocsinventory-server is Pierre Chifflier <pollux@debian.org>; Source for ocsinventory-server is src:ocsinventory-server.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Wed, 27 Feb 2008 16:24:02 UTC

Severity: important

Tags: patch

Found in version ocsinventory-server/1.01-3

Fixed in versions ocsinventory-server/1.01-3.1, ocsinventory-server/1.01-4

Done: Pierre Chifflier <pollux@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Pierre Chifflier <pollux@debian.org>:
Bug#468194; Package ocsinventory-server. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: ocsinventory-server: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Wed, 27 Feb 2008 18:21:06 +0200
Package: ocsinventory-server
Version: 1.01-3
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#468194; Package ocsinventory-server. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. Full text and rfc822 format available.

Message #10 received at 468194@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468194@bugs.debian.org
Subject: ocsinventory-server: diff for NMU version 1.01-3.1
Date: Sat, 5 Apr 2008 13:54:55 +0100
[Message part 1 (text/plain, inline)]
tags 468194 + patch
thanks

Hi,

Attached is the diff for my ocsinventory-server 1.01-3.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[ocsinventory-server-1.01-3.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:57:03 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 468194-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468194-close@bugs.debian.org
Subject: Bug#468194: fixed in ocsinventory-server 1.01-3.1
Date: Sat, 05 Apr 2008 13:03:04 +0000
Source: ocsinventory-server
Source-Version: 1.01-3.1

We believe that the bug you reported is fixed in the latest version of
ocsinventory-server, which is due to be installed in the Debian FTP archive:

ocsinventory-reports_1.01-3.1_all.deb
  to pool/main/o/ocsinventory-server/ocsinventory-reports_1.01-3.1_all.deb
ocsinventory-server_1.01-3.1.diff.gz
  to pool/main/o/ocsinventory-server/ocsinventory-server_1.01-3.1.diff.gz
ocsinventory-server_1.01-3.1.dsc
  to pool/main/o/ocsinventory-server/ocsinventory-server_1.01-3.1.dsc
ocsinventory-server_1.01-3.1_all.deb
  to pool/main/o/ocsinventory-server/ocsinventory-server_1.01-3.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468194@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated ocsinventory-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 13:49:26 +0100
Source: ocsinventory-server
Binary: ocsinventory-server ocsinventory-reports
Architecture: source all
Version: 1.01-3.1
Distribution: unstable
Urgency: low
Maintainer: Pierre Chifflier <pollux@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 ocsinventory-reports - Hardware and software inventory tool (Administration Console)
 ocsinventory-server - Hardware and software inventory tool (Communication Server)
Closes: 468194
Changes: 
 ocsinventory-server (1.01-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #468194.
Files: 
 abba20d9dece320d071ea25318e1291f 708 web extra ocsinventory-server_1.01-3.1.dsc
 c6578838e6cecf2e624842f33b280d62 19123 web extra ocsinventory-server_1.01-3.1.diff.gz
 6825b8790ed27580dba48d4ea82af222 38542 web extra ocsinventory-server_1.01-3.1_all.deb
 e96360b13e100d626fbafb8a5ef323fb 6592570 web extra ocsinventory-reports_1.01-3.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH93XjNIW6CNDsByMRAjwKAJwM3pfgtbN9oNJ397dJvbPyiEGpVwCgzwzd
rzpNrpyRVlFU1AC7yW9nf6g=
=S5TJ
-----END PGP SIGNATURE-----





Reply sent to Pierre Chifflier <pollux@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 468194-close@bugs.debian.org (full text, mbox):

From: Pierre Chifflier <pollux@debian.org>
To: 468194-close@bugs.debian.org
Subject: Bug#468194: fixed in ocsinventory-server 1.01-4
Date: Mon, 14 Apr 2008 09:02:03 +0000
Source: ocsinventory-server
Source-Version: 1.01-4

We believe that the bug you reported is fixed in the latest version of
ocsinventory-server, which is due to be installed in the Debian FTP archive:

ocsinventory-reports_1.01-4_all.deb
  to pool/main/o/ocsinventory-server/ocsinventory-reports_1.01-4_all.deb
ocsinventory-server_1.01-4.diff.gz
  to pool/main/o/ocsinventory-server/ocsinventory-server_1.01-4.diff.gz
ocsinventory-server_1.01-4.dsc
  to pool/main/o/ocsinventory-server/ocsinventory-server_1.01-4.dsc
ocsinventory-server_1.01-4_all.deb
  to pool/main/o/ocsinventory-server/ocsinventory-server_1.01-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468194@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pierre Chifflier <pollux@debian.org> (supplier of updated ocsinventory-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Apr 2008 10:47:37 +0200
Source: ocsinventory-server
Binary: ocsinventory-server ocsinventory-reports
Architecture: source all
Version: 1.01-4
Distribution: unstable
Urgency: low
Maintainer: Pierre Chifflier <pollux@debian.org>
Changed-By: Pierre Chifflier <pollux@debian.org>
Description: 
 ocsinventory-reports - Hardware and software inventory tool (Administration Console)
 ocsinventory-server - Hardware and software inventory tool (Communication Server)
Closes: 468194
Changes: 
 ocsinventory-server (1.01-4) unstable; urgency=low
 .
   * Acknowledge NMU (Closes: #468194)
     Thanks to Mark Hymers
   * Bump Standards version (no changes)
   * Move homepage to pseudo-header
Checksums-Sha1: 
 403ab47ee381f16600af71a8c286a6b14db8bad9 1170 ocsinventory-server_1.01-4.dsc
 1c3856897c1238a20780231cad2a7325823847eb 18752 ocsinventory-server_1.01-4.diff.gz
 1ffad8768bdebc2d1aa7ca2e7aaba7d769db7b17 39152 ocsinventory-server_1.01-4_all.deb
 30eadd21dc24f57b0218241f5ea1d571f0d4f34e 6591720 ocsinventory-reports_1.01-4_all.deb
Checksums-Sha256: 
 a39b5192eb047ecb08c1068854ea59ad2296ecdf4f3ba0b26796ada0eec64c10 1170 ocsinventory-server_1.01-4.dsc
 e246b365a52f07f9bd2467168c06c33acd2a6ff7b1fcb2e9ff945608f04d8f34 18752 ocsinventory-server_1.01-4.diff.gz
 9622c14c1e9b3d5bc2149d5a58fb316aced92225af0f29d62377c0eded2bc5f8 39152 ocsinventory-server_1.01-4_all.deb
 dc3599c8c8bf65fadc477f8d0158f7cf0a279e6f04dce5ebe118aedb2e2ef3ef 6591720 ocsinventory-reports_1.01-4_all.deb
Files: 
 d844cab2415930a7f6f47742aec30f2a 1170 web extra ocsinventory-server_1.01-4.dsc
 dc9f271269daa72465b2c52ac54c9453 18752 web extra ocsinventory-server_1.01-4.diff.gz
 0c8835f3c60e80a2e0e35c548461cb56 39152 web extra ocsinventory-server_1.01-4_all.deb
 5f4f69e82a23b2956df6909e95bc17f8 6591720 web extra ocsinventory-reports_1.01-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIAxqEtwVrWo1fQMsRArApAJ9YdlJkoplfyIy7yAHrNXoTIr65bgCgqMvR
pRNizPvAN1bhl6BGV2U53GQ=
=BFzm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 May 2008 07:42:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:17:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.